\begin{tabular}{|l||*{3}{c|}}
\hline
\hline
\textit{\textbf{Classe testata}} & Test complessivi eseguiti & Metodi da testare  & Test falliti \\ 
\hline
\hline
ClientSocket & 21 & 7 & 2 \\
\hline
ServerSocket & 8    & 8   & 0  \\
\hline
StreamSocket & 18  & 9  &1  \\
\hline

\end{tabular}